Apply a bulk action to anonymization fields
Base URL
https://{kibana_url}
POST
/api/security_ai_assistant/anonymization_fields/_bulk_action
Auth
Apply a bulk action to multiple anonymization fields. The bulk action is applied to all anonymization fields that match the filter or to the list of anonymization fields by their IDs.
Expand all
{
}
create
object []
Array of anonymization fields to create.
+
Show 3 properties
allowed
boolean
Whether this field is allowed to be sent to the model.
anonymized
boolean
Whether this field should be anonymized.
field
string
required
Name of the anonymization field to create.
delete
object
Object containing the query to filter anonymization fields and/or an array of anonymization field IDs to delete.
+
Show 2 properties
ids
string [] · min items: 1
Array of IDs to apply the action to.
query
string
Query to filter the bulk action.
update
object []
Array of anonymization fields to update.
+
Show 3 properties
allowed
boolean
Whether this field is allowed to be sent to the model.
anonymized
boolean
Whether this field should be anonymized.
id
string
required
The ID of the anonymization field to update.
200
Indicates a successful call.
application/json
anonymization_fields_count
integer
Total number of anonymization fields processed.
attributes
object
required
−
Hide 3 properties
errors
object []
List of errors that occurred during the bulk operation.
+
Show 4 properties
anonymization_fields
object []
required
Array of anonymization fields that caused the error.
+
Show 2 properties
id
string
required
The ID of the anonymization field.
name
string
Name of the anonymization field.
err_code
string
Error code indicating the type of failure.
message
string
required
Error message.
status_code
integer
required
Status code of the response.
results
object
required
−
Hide 4 properties
created
object []
required
List of anonymization fields successfully created.
−
Hide 10 properties
allowed
boolean
Whether this field is allowed to be sent to the model.
anonymized
boolean
Whether this field should be anonymized.
createdAt
string
Timestamp of when the anonymization field was created.
createdBy
string
Username of the person who created the anonymization field.
field
string
required
Name of the anonymization field.
id
string · format: nonempty · min length: 1
required
A string that does not contain only whitespace characters.
namespace
string
Kibana space in which this anonymization field exists.
timestamp
string · format: nonempty · min length: 1
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
updatedAt
string
Timestamp of the last update.
updatedBy
string
Username of the person who last updated the field.
deleted
string []
required
skipped
object []
required
List of anonymization fields that were skipped during the operation.
−
Hide 3 properties
id
string
required
The ID of the anonymization field that was not modified.
name
string
Name of the anonymization field that was not modified.
skip_reason
enum
required
Reason why the anonymization field was not modified.
Values:
ANONYMIZATION_FIELD_NOT_MODIFIED
updated
object []
required
List of anonymization fields successfully updated.
Same fields as
created
in
results
summary
object
required
−
Hide 4 properties
failed
integer
required
The number of failed actions.
skipped
integer
required
The number of skipped actions.
succeeded
integer
required
The number of successfully performed actions.
total
integer
required
The total number of actions attempted.
message
string
Message providing information about the bulk action result.
status_code
integer
HTTP status code returned.
success
boolean
Indicates if the bulk action was successful.
error
string
Error type or name.
message
string
Detailed error message.
statusCode
number
Status code of the response.